/**
 *  OdetteJ - Open Source Odette FTP implementation in Java(TM).
 *  Copyright (C) 2005 Fossil E-Commerce, http://www.fossilec.com
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  ------------------------------------------------------------------------
 *  $Id: IdleState.java,v 1.7 2005/08/15 16:43:00 rmarins Exp $
 *  ------------------------------------------------------------------------
 */

package org.fossilec.odettej;

import java.util.Date;

final class IdleState extends AbstractState {

	public IdleState(Session context) {
		super(context);
	}

	protected void listen() throws OdetteFTPException {
		illegalState();
	}

	public void startSession() throws OdetteFTPException {
		illegalState();
	}

	public void startFile(VirtualFile file, String destination,
			String originator, String userData, String reserved)
			throws OdetteFTPException {
		illegalState();
	}

	public void dataRegime() throws OdetteFTPException {
		illegalState();
	}

	public void closeFile(int recordCount, long unitCount)
			throws OdetteFTPException {
		illegalState();
	}

	public void changeDirection() throws OdetteFTPException {
		illegalState();
	}

	public void endToEndResponse(String datasetName, Date fileDateTime,
			String destination, String originator, String userData,
			String reserved) throws OdetteFTPException {
		illegalState();
	}

	private void illegalState() {
		throw new IllegalStateException("Idle State doesn't support this "
				+ "operation");
	}

	protected void setCredits(int windowSize) {
		illegalState();
	}

	public int getCredits() {
		illegalState();
		return 0;
	}

}
