/**
 *  OdetteJ - Open Source Odette FTP implementation in Java(TM).
 *  Copyright (C) 2005 Fossil E-Commerce, http://www.fossilec.com
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  ------------------------------------------------------------------------
 *  $Id: OdetteFTPException.java,v 1.4 2005/07/11 04:17:08 rmarins Exp $
 *  ------------------------------------------------------------------------
 */

package org.fossilec.odettej;

/**
 * <code>OdetteFTPException</code> is the top-level exception thrown by all
 * Odette-J classes.
 * 
 * @author Rafael Marins
 */
public class OdetteFTPException extends Exception {

	/**
	 * Serial Version UID.
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Constructor with no detail message.
	 */
	public OdetteFTPException() {
		super();
	}

	/**
	 * Constructor with the specified detail message.
	 * 
	 * @param message
	 *            The detail message.
	 */
	public OdetteFTPException(String message) {
		super(message);
	}

	/**
	 * Constructor with the specified detail message and throwable cause.
	 * 
	 * @param message
	 *            The detail message.
	 * @param cause
	 *            Throwable that generated this exception.
	 */
	public OdetteFTPException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Constructor with the specified cause of the exception.
	 * 
	 * @param cause
	 *            Throwable that generated this exception.
	 */
	public OdetteFTPException(Throwable cause) {
		super(cause);
	}
}
