/**
 *  OdetteJ - Open Source Odette FTP implementation in Java(TM).
 *  Copyright (C) 2005 Fossil E-Commerce, http://www.fossilec.com
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  -------------------------------------------------------------------------
 *  $Id$
 *  -------------------------------------------------------------------------
 */
package org.fossilec.odettej;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * @author Rafael Marins
 * 
 */
public class StringUtil {

	public static String formatDate(String pattern, Date value) {
		SimpleDateFormat df = new SimpleDateFormat(pattern);
		return df.format(value);
	}

	public static String padd(String value, int length, boolean left,
			char completingChar) {

		StringBuffer paddText = new StringBuffer(value);

		if (value.length() < length) {

			int count = length - value.length();
			for (int i = 0; i < count; i++) {
				if (left) {
					paddText.insert(0, completingChar);
				} else {
					paddText.append(completingChar);
				}
			}
		}

		return paddText.toString();
	}

	public static Date parseCommandDateTime(String sdate, String stime) {

		int year = Integer.parseInt(sdate.substring(0, 2));
		int month = Integer.parseInt(sdate.substring(2, 4));
		int day = Integer.parseInt(sdate.substring(4, 6));

		int hour = Integer.parseInt(stime.substring(0, 2));
		int minute = Integer.parseInt(stime.substring(2, 4));
		int second = Integer.parseInt(stime.substring(4, 6));

		// Calendar MONTH starts at 0 = JANUARY
		month--;

		Calendar cal = Calendar.getInstance();
		cal.set(year, month, day, hour, minute, second);
		cal.set(Calendar.MILLISECOND, 0);

		return cal.getTime();
	}

}
