/**
 *  OdetteJ - Open Source Odette FTP implementation in Java(TM).
 *  Copyright (C) 2005 Fossil E-Commerce, http://www.fossilec.com
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  ------------------------------------------------------------------------
 *  $Id: TransportFactory.java,v 1.1 2005/08/15 16:44:35 rmarins Exp $
 *  ------------------------------------------------------------------------
 */

package org.fossilec.odettej.transport;

/**
 * Factory contract used to create (instantiation) a class implementing
 * <code>Transport</code> interface.
 * 
 * @author Rafael Marins
 */
public abstract class TransportFactory {

	/**
	 * Method used to simply return a <code>Transport</code> class
	 * implementation.
	 * 
	 * @return a <code>Transport</code> implementation.
	 */
	public abstract Transport createTransport();

}